@font-face {
  font-family: 'Inclusive Sans';
  font-weight: 400;
  font-style: normal;
  font-display: swap;
  src: url('/assets/fonts/inclusive-sans-latin-400-normal.woff2') format('woff2');
}

@font-face {
  font-family: 'Inclusive Sans';
  font-weight: 500;
  font-style: normal;
  font-display: swap;
  src: url('/assets/fonts/inclusive-sans-latin-500-normal.woff2') format('woff2');
}

@font-face {
  font-family: 'Inclusive Sans';
  font-weight: 600;
  font-style: normal;
  font-display: swap;
  src: url('/assets/fonts/inclusive-sans-latin-600-normal.woff2') format('woff2');
}

@font-face {
  font-family: 'Fjalla One';
  font-weight: 400;
  font-style: normal;
  font-display: swap;
  src: url('/assets/fonts/fjalla-one-latin-400-normal.woff2') format('woff2');
}

* {
  margin: 0;
  padding: 0;
}

:root {
  --color-blackish: #130433;
  --color-white: #fff;
  --color-red-100: #FFDADA;
  --color-red-300: #FFB5B5;
  --color-red-500: #FF9090;
  --color-red-700: #FF6B6B;
  --color-red-900: #FF4646;
  --color-green-100: #D4F7E7;
  --color-green-300: #A9F0D0;
  --color-green-500: #7EE8B8;
  --color-green-700: #53E1A1;
  --color-green-900: #28D989;
  --color-blue-100: #DBD5FF;
  --color-blue-300: #B6ABFF;
  --color-blue-500: #9281FF;
  --color-blue-700: #6E57FF;
  --color-blue-900: #6112FF;
  --color-text: var(--color-blackish);
  --color-background: var(--color-green-700);
  --font-family-sans: 'Inclusive Sans', sans-serif;
  --font-family-heading: 'Fjalla One', sans-serif;

  --spacing-sm: 1.5rem /*24px*/;
  --spacing-md: 2rem /*32px*/;
  --spacing-lg: 4.5rem /*72px*/;
  --spacing-xl: 6rem /*96px*/;

  --spacing-lr: 4.5rem /*72px*/;
  --button-unit: 5px;
  --logo-height: 40px;

  --font-h1: 5.3svw;
  --font-h2: 64px;
  --font-h3: 28px;
  --font-paragraph: 19px;
  --font-caption: 17px;
}

@media (max-width: 1000px) {
  :root {
    --spacing-sm: 1rem;
    --spacing-md: 2rem;
    --spacing-lg: 4rem;
    --spacing-xl: 5rem;

    --spacing-lr: 2rem /*16px*/;
  
    --font-h1: 6svw;
    --font-h2: 40px;
    --font-h3: 24px;
    --font-paragraph: 17px;
    --font-caption: 15px;
  }
}

@media (max-width: 600px) {
  :root {
    --spacing-sm: 0.75rem /*12px*/;
    --spacing-md: 1.5rem /*24px*/;
    --spacing-lg: 3.5rem /*56px*/;
    --spacing-xl: 4rem /*64px*/;

    --spacing-lr: 1rem /*16px*/;
    --button-unit: 4px;
    --logo-height: 32px;
  
    --font-h1: 36px;
    --font-h2: 28px;
    --font-h3: 22px;
    --font-paragraph: 16px;
    --font-caption: 14px;
  }
}

html {
  font-family: var(--font-family-sans);
  color: var(--color-text);
  scroll-behavior: smooth;
}
img {
  width: 100%;
}
body {
  padding: var(--padding);
  margin: 0 auto;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  overflow-x: hidden;
}
li {
  list-style: none;
}
a {
  color: currentColor;
  text-decoration: none;
}
button {
  font: inherit;
  background: none;
  border: 0;
  color: currentColor;
  cursor: pointer;
}
strong, b {
  font-weight: 600;
}
small {
  font-size: inherit;
  color: var(--color-text-grey);
}

.header {
  position: relative;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding:var(--spacing-md) var(--spacing-lr) var(--spacing-md) var(--spacing-lr);
}

.header a {
  color: var(--color-white);
  transition: all 0.2s ease;
}

.header a:hover {
  text-decoration: underline;
  text-underline-offset: 0.4rem;
}

.menu {
  display: flex;
  flex-direction: row;
  gap: 2rem;
}

.menu a {
  display: block;
}

.mobile-menu {
  display: none;
}

.menu-button {
  display: none;
}

@media (max-width: 800px) {
  #nav {
    display: none;
    position: absolute;
    top: 4.5rem;
    right: var(--spacing-lr);
    z-index: 10;
  }

  #nav.open {
    display: block;
  }

  .menu {
    display: none;
  }

  .menu-button {
    display: block;
    height: 40px;
    width: auto;
    border-radius: 0.5rem;
    background-color: var(--color-white);
    color: var(--color-blackish);
    padding: 0 var(--spacing-sm);
    align-content: center;  
    transition: all 0.2s ease;
  }

  .menu-button:hover {
    text-decoration: underline;
    text-underline-offset: 0.2rem;
  }


  .mobile-menu {
    display: flex;
    flex-direction: column;
    background-color: var(--color-white);
    border-radius: 0.5rem;
    padding: var(--spacing-sm);
    display: flex;
    flex-direction: column;
    gap: var(--spacing-sm);
  }

  .header a {
    color: var(--color-blackish);
    transition: all 0.2s ease;
  }

  .header a:hover {
    text-underline-offset: 0.2rem;
  }
}

.footer {
  display: flex;
  flex-direction: row;
  align-items: start;
  background-color: var(--color-white);
  gap: var(--spacing-md);
  padding: var(--spacing-md) var(--spacing-lr);
}

.footer-links {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-sm);
  border-left: rgba(19, 4, 41, 0.2) 1px solid;
  margin-top: 0.25rem;
  padding: 0 var(--spacing-md);
}

.logo {
  width: calc(var(--logo-height) * 3.5);
  height: var(--logo-height);
  display: inline-flex;
  align-items: center;
}

.logo-icon {
  width: calc(var(--logo-height) * 3.5);
  height: var(--logo-height);
  display: block;
  background-color: currentColor;
  -webkit-mask: url('/assets/graphics/logo.svg') no-repeat center / contain;
  mask: url('/assets/graphics/logo.svg') no-repeat center / contain;
}

.h1 {
  font-family: var(--font-family-heading);
  font-size: var(--font-h1);
  line-height: 1.3;
  letter-spacing: 2%;
  font-weight: 400;
}

.h2 {
  font-family: var(--font-family-heading);
  font-size: var(--font-h2);
  line-height: 1.3;
  letter-spacing: 2%;
  font-weight: 400;
}

.h3 {
  font-family: var(--font-family-heading);
  font-size: var(--font-h3);
  line-height: 1.5;
  font-weight: 400;
  letter-spacing: 2%;
}

.p {
  font-family: var(--font-family-sans);
  font-size: var(--font-paragraph);
  line-height: 1.5;
}

.caption-h3 {
  font-family: var(--font-family-heading);
  font-size: var(--font-caption);
  line-height: 1.5;
  text-transform: uppercase;
  font-weight: 400;
}

.card {
  display: flex;
  flex-direction: column;
  max-width: 60%;
  gap: var(--spacing-sm);
  padding: var(--spacing-md);
  margin: auto;
  border-radius: 2rem;
  border: 1px solid rgba(19, 4, 41, 0.15);
  background-color: var(--color-green-100);
}

@media (max-width: 1000px) {
  .card {
    max-width: 100%;
  }
}

.primary-button {
  color: var(--color-white);
  background-color: var(--color-blue-700);
  box-shadow: 0 2px 4px 0 rgba(255, 255, 255, 0.30) inset, 0 -2px 2px 0 rgba(0, 0, 0, 0.25) inset, 0 2px 2px 0 rgba(0, 0, 0, 0.15);
  border-radius: 2rem;
  padding: calc(var(--button-unit) * 3) calc(var(--button-unit) * 4) ;  
  width: fit-content;
  font-family: var(--font-family-sans);
  font-size: var(--font-paragraph);
  font-weight: 500;
  transition: scale 0.2s ease, background-color 0.2s ease;
}

.primary-button:hover {
  background-color: var(--color-blue-900);
  scale: 101%;
}

.primary-button:active {
  background-color: var(--color-blue-500);
}

.chip {
  padding: 4px 10px;
  background-color: var(--color-blue-100);
  border-radius: 1rem;
}